core.node / NodeConfiguration

# NodeConfiguration

`interface NodeConfiguration`

### Properties

exportJMXto | `abstract val exportJMXto: String`
myLegalName | `abstract val myLegalName: String`

### Inheritors

DefaultConfiguration | `object DefaultConfiguration : NodeConfiguration`
NodeConfigurationFromProperties | `class NodeConfigurationFromProperties : NodeConfiguration` A simple wrapper around a plain old Java .properties file. The keys have the same name as in the source code.